import request from '@/utils/request'

// 分页查询
export const pageList = (query) => {
  return request({
    url: '/coupon/activityInfo/pageList',
    method: 'get',
    params: query
  })
}

// 新增修改
export const saveAndEdit = (data) => {
  return request({
    url: '/coupon/activityInfo/insertOrUpdate',
    method: 'post',
    data: data
  })
}

// 详情
export function getSelectById(id) {
  return request({
    url: '/coupon/activityInfo/selectById?id=' + id,
    method: 'get'
  })
}


// 删除
export const deleteById = (id) => {
  return request({
    url: '/coupon/activityInfo/deleteById',
    method: 'delete',
    params: {id:id}
  })
}
